> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pardocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Template

The **Delete a Template** endpoint allows you to remove an existing template identified by `{template_id}`. This operation will delete the specified schema and it will no longer be available for data extraction tasks.

Use this endpoint to clean up or manage your schemas by removing those that are no longer needed.

<Note>Note that this process can also be done in the [ParDocs Console](https://www.pardocs.com)</Note>

<RequestExample>
  ```bash cURL theme={null}
  curl --request DELETE \
    --url https://api.pardocs.com/v1/templates/{template_id} \
    --header 'x-api-key: <api-key>'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.pardocs.com/v1/templates/{template_id}"
  headers = {"x-api-key": "<api-key>"}

  response = requests.delete(url, headers=headers)

  print(response.json())
  ```
</RequestExample>


## OpenAPI

````yaml openapi-templates DELETE /v1/templates/{template_id}
openapi: 3.1.0
info:
  title: Template API
  version: 1.0.1
servers:
  - url: https://api.pardocs.com
security:
  - ApiKeyAuth: []
paths:
  /v1/templates/{template_id}:
    delete:
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
          description: The ID of template to delete.
      responses: {}
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````